/*
 * Copyright (c) 2001 Conexant Systems, Inc.
 * 
 * 1.   Permitted use. Redistribution and use in source and binary forms,
 * with or without modification, are permitted under the terms set forth
 * herein.
 * 
 * 2.   Disclaimer of Warranties. CONEXANT AND OTHER CONTRIBUTORS MAKE NO
 * REPRESENTATION ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.
 * IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTIES OF ANY KIND.
 * CONEXANT AND OTHER CONTRIBUTORS DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE, GOOD TITLE AND AGAINST INFRINGEMENT.
 * 
 * This software has not been formally tested, and there is no guarantee that
 * it is free of errors including, but not limited to, bugs, defects,
 * interrupted operation, or unexpected results. Any use of this software is
 * at user's own risk.
 * 
 * 3.   No Liability.
 * 
 * (a) Conexant or contributors shall not be responsible for any loss or
 * damage to Company, its customers, or any third parties for any reason
 * whatsoever, and CONEXANT OR CONTRIBUTORS SHALL NOT BE LIABLE FOR ANY
 * ACTUAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL, OR CONSEQUENTIAL
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED, WHETHER IN CONTRACT, STRICT OR OTHER LEGAL THEORY OF
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
 * WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGE.
 * 
 * (b) User agrees to hold Conexant and contributors harmless from any
 * liability, loss, cost, damage or expense, including attorney's fees,
 * as a result of any claims which may be made by any person, including
 * but not limited to User, its agents and employees, its customers, or
 * any third parties that arise out of or result from the manufacture,
 * delivery, actual or alleged ownership, performance, use, operation
 * or possession of the software furnished hereunder, whether such claims
 * are based on negligence, breach of contract, absolute liability or any
 * other legal theory.
 * 
 * 4.   Notices. User hereby agrees not to remove, alter or destroy any
 * copyright, trademark, credits, other proprietary notices or confidential
 * legends placed upon, contained within or associated with the Software,
 * and shall include all such unaltered copyright, trademark, credits,
 * other proprietary notices or confidential legends on or in every copy of
 * the Software.
 * 
 */
#ifndef __LINUX_RES_H
#define __LINUX_RES_H

#ifdef __cplusplus
extern "C" {
#endif

typedef BOOL  (*LINUXPMCB)(PVOID inst);

typedef struct {
	LINUXPMCB SuspendOKCB;
	PVOID SuspendOKInst;
	LINUXPMCB SuspendCB;
	PVOID SuspendInst;
	LINUXPMCB ResumeCB;
	PVOID ResumeInst;
} LINUX_PM_CONFIG, *PLINUX_PM_CONFIG;


BOOL	LinuxGetHwPciRes(void **pPciDev, unsigned long *pbaseaddr0, 
						     unsigned long *pbaseaddr1, unsigned short DeviceId, unsigned short VendorId);
void *  LinuxInitPowerManagement(void *pPciDev, PLINUX_PM_CONFIG pPmConf);
void    LinuxTermPowerManagement(void *pmdev);
BOOL	LinuxHookInterrupt(void *pPciDev, void (*isr)(int irq, void *devidp, void *unused),void *devid);
void	LinuxUnhookInterrupt(void *pPciDev, void *devid);
void	*LinuxMapPhys(unsigned long offset, unsigned long size);
void	LinuxWritel(void *addr, unsigned int dwVal);
void	LinuxWritew(void *addr, unsigned short wVal);
unsigned char LinuxReadb(void *addr);
unsigned short LinuxReadw(void *addr);
unsigned int LinuxReadl(void *addr);
unsigned char LinuxIoReadb(unsigned int port);
unsigned short LinuxIoReadw(unsigned int port);
unsigned int  LinuxIoReadl(unsigned int port);
void	LinuxIoWriteb(unsigned int port, unsigned char  bVal);
void	LinuxIoWritew(unsigned int port, unsigned short wVal);
void	LinuxIoWritel(unsigned int port, unsigned int   dwVal);
void LinuxPciReadConfigdw(void *pPciDev, unsigned char Offset, unsigned long *pVal);
void LinuxPciReadConfigw(void *pPciDev, unsigned char Offset, unsigned short *pVal);
void LinuxPciReadConfigb(void *pPciDev, unsigned char Offset, unsigned char *pVal);
void LinuxPciWriteConfigdw(void *pPciDev, unsigned char Offset, unsigned long Val);
void LinuxPciWriteConfigw(void *pPciDev, unsigned char Offset, unsigned short Val);
void LinuxPciWriteConfigb(void *pPciDev, unsigned char Offset, unsigned char Val);
unsigned long crit_section_start(void);
void crit_section_end(unsigned long flags);
unsigned long LinuxCalcCpuRate(void);

#ifdef __cplusplus
}
#endif

#endif
